#ifndef Kcapture_screen_H
#define Kcapture_screen_H

#include <stdbool.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C"
{
#endif


    /**
     * @brief kdk_capture_screen_to_clipboard
     * @return
     */
    extern bool kdk_capture_screen_to_clipboard(int32_t delay);

    /**
     * @brief kdk_capture_window_to_clipboard
     * @param width
     * @param height
     * @return
     */
    extern bool kdk_capture_window_to_clipboard(int32_t window_id,int32_t delay);

    /**
     * @brief 
     * 
     * @param filepath 
     * @param filename 
     * @return true 
     * @return false 
     */
    extern bool kdk_capture_screen_to_file(const char*filepath, const char*filename);

    /**
     * @brief kdk_capture_window_to_file
     * @param filename
     * @param width
     * @param height
     * @param format
     * @return
     */
    extern bool kdk_capture_window_to_file(const char*filepath,int32_t window_id,int32_t delay);

#ifdef __cplusplus
}
#endif

#endif // Kcapture_screen_H
